package com.company;

import gnu.io.CommPortIdentifier;
import gnu.io.SerialPort;

/**
 * Created by jimmy on 2015/12/26.
 */
public class RS232Control {

    public RS232Control(String portName, int BaudRate) throws Exception {

        CommPortIdentifier portIdentifier = CommPortIdentifier.getPortIdentifier(portName);

        if (portIdentifier.isCurrentlyOwned()) {
            System.out.println("Port in use!");
        } else {
            // points who owns the port and connection timeout
            SerialPort serialPort = (SerialPort) portIdentifier.open("RS232Control", 2000);

            // setup connection parameters
            serialPort.setSerialPortParams(BaudRate, SerialPort.DATABITS_8, SerialPort.STOPBITS_1, SerialPort.PARITY_NONE);

            // setup serial port writer
            CommPortSender.setWriterStream(serialPort.getOutputStream());

            // setup serial port reader
            new CommPortReceiver(serialPort.getInputStream()).start();
        }
    }


    public void SetCommand(String command) throws Exception {

        CommPortSender.send(new ProtocolImpl().getMessage(command));
    }


}
